<?php /*
       Template Name: OnePager
       */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
	<?php $post = get_post( );  ?>
	<style>
	html {
		margin-top: 0px !important;
	}
	body::before {
		width:0px;
	}
	.build-block {
		height:auto;
		border: 1px solid grey;
		overflow:hidden;
	}
	
	</style>
</head>
<body>
<div id="page">
		<header id="masthead" role="banner">
			<div>
				<?php 
				/*
				Text of the post of this link is used for an entry/ header - text
				The Headline is not used, because it would limit the design
				*/
				echo $post->post_content; ?>
			</div>
		</header>
		
		<?php // get_sidebar(); ?>
		<?php
				/*
				Get the menu given that must have the post_title as name.
				*/		
		$args	= array(
			'order'                  => 'ASC',
			'orderby'                => 'menu_order',
			'post_type'              => 'nav_menu_item',
			'post_status'            => 'publish',
			'output'                 => ARRAY_A,
			'output_key'             => 'menu_order',
			'nopaging'               => true,
			'update_post_term_cache' => false
		);
		$items = wp_get_nav_menu_items( $post->post_title, $args ); 
		$counter = count($items);
		
		if ($counter > 0)
		{
			$parentId = $items[0]->ID;
			$elItems = array();
			$menu = array();
			
			for ($i = 1; $i < $counter; $i++)
			{
				if ($items[$i]->menu_item_parent != $parentId) continue;
				
				$elItems[] = array (
					'id' => $items[$i]->object_id,
					'title' => $items[$i]->title
				);
				$menu[] = '<li><a href="#' . $items[$i]->title . '">' . $items[$i]->title . '</a></li>';
			}
			
			echo '<ul>' . implode ('', $menu) . '</ul>';
		}
		?>
		
	<br />
	<div id="content">
	<?php foreach ( $elItems as $element ) : $post = get_post($element['id']); ?>
	
	   <div class="post  build-block">
			<a name="<?php echo $element['title']; ?>"></a>
			<?php echo $post->post_content ?>
	   </div> 
	   <div style="clear:all"></div>
	   <br/>
	<?php endforeach; ?>
	</div>
	<br />
	</div>

	<footer id="colophon" class="site-footer" role="contentinfo">

	</footer>

</div><!-- .site -->

<?php wp_footer(); ?>

</body>
</html>

